<div class="row">
	@if ($articles ?? false)
		@foreach ($articles as $product_name => $article)
			<div class="col-lg-3 col-xs-12 mb-3">
				@include('Shop.Articles.partials.article')
			</div>
		@endforeach
	@endif
</div>

@push('js')
	<script>
		$('.basket').click(function() {
			var offer_id = $(this).data('id');
            var quantity = 1;
            var data = {
                'offer_id': offer_id,
                'quantity': quantity,
            };

            var buttons = {
				cancel: {
					label: '{{ __('Continuer mes achats') }}',
					className: 'btn-secondary'
				},
				confirm: {
					label: '{{ __('Commander') }}',
					className: 'btn-success',
					callback: function() {
						window.location = "{{ route('Shop.Basket.basket') }}";
					}
				},
			};

            openModal(
                'Ajout dans le panier',
                'basket-form',
                "{{ route('Shop.Basket.modalBasket') }}/" + offer_id + '/' + quantity,
                "{{ route('Shop.Orders.order') }}",
                false,
                false,
                true,
                buttons,
				"refreshBasketTop()",
            );
        });
	</script>
@endpush

